Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# SecurityReplaceable::SecurityContext Interface Reference

`import "SecurityReplaceable.idl";`

Inheritance diagram for SecurityReplaceable::SecurityContext:

[legend]
Collaboration diagram for SecurityReplaceable::SecurityContext:

[legend]
List of all members.

## Public Member Functions
Security::AssociationStatus | continue_security_context (in Security::OpaqueBuffer in_token, out Security::OpaqueBuffer out_token)
void | protect_message (in Security::OpaqueBuffer message, in Security::QOP qop, out Security::OpaqueBuffer text_buffer, out Security::OpaqueBuffer token)
boolean | reclaim_message (in Security::Opaque text_buffer, in Security::Opaque token, out Security::QOP qop, out Security::Opaque message)
boolean | is_valid (out Security::UtcT expiry_time)
boolean | discard_security_context (in Security::Opaque discard_data, out Security::OpaqueBuffer out_token)
boolean | process_discard_token (in Security::OpaqueBuffer discard_token)
## Public Attributes
readonly attribute Security::SecurityContextType | context_type
readonly attribute Security::SecurityContextState | context_state
readonly attribute Security::MechanismType | mechanism
readonly attribute Security::ChannelBindings | chan_binding
readonly attribute SecurityLevel2::ReceivedCredentials | received_credentials

## Member Function Documentation

Security::AssociationStatus SecurityReplaceable::SecurityContext::continue_security_context | ( | in Security::OpaqueBuffer | in_token,
|  | out Security::OpaqueBuffer | out_token
| ) |

boolean SecurityReplaceable::SecurityContext::discard_security_context | ( | in Security::Opaque | discard_data,
|  | out Security::OpaqueBuffer | out_token
| ) |

boolean SecurityReplaceable::SecurityContext::is_valid | ( | out Security::UtcT | expiry_time | ) |

boolean SecurityReplaceable::SecurityContext::process_discard_token | ( | in Security::OpaqueBuffer | discard_token | ) |

void SecurityReplaceable::SecurityContext::protect_message | ( | in Security::OpaqueBuffer | message,
|  | in Security::QOP | qop,
|  | out Security::OpaqueBuffer | text_buffer,
|  | out Security::OpaqueBuffer | token
| ) |

boolean SecurityReplaceable::SecurityContext::reclaim_message | ( | in Security::Opaque | text_buffer,
|  | in Security::Opaque | token,
|  | out Security::QOP | qop,
|  | out Security::Opaque | message
| ) |

## Member Data Documentation

readonly attribute Security::ChannelBindings SecurityReplaceable::SecurityContext::chan_binding

readonly attribute Security::SecurityContextState SecurityReplaceable::SecurityContext::context_state

readonly attribute Security::SecurityContextType SecurityReplaceable::SecurityContext::context_type

readonly attribute Security::MechanismType SecurityReplaceable::SecurityContext::mechanism

readonly attribute SecurityLevel2::ReceivedCredentials SecurityReplaceable::SecurityContext::received_credentials

The documentation for this interface was generated from the following file:

- SecurityReplaceable.idl